component: RuntimeTest
proto_imports:
  - base/diag/monitors/common.proto
  - base/diag/monitors/stale/messages.proto
  - base/diag/monitors/runtime/messages.proto
metric: DoubleStatistics
namespace: zoox::diag::monitors::runtime
faults:
  - id: 1
    name: RuntimeLow
    severity: ERROR
    description: Runtime too low
    freeze_frame: RuntimeFreezeFrame
  - id: 2
    name: RuntimeHigh
    severity: ERROR
    description: Runtime too high
    freeze_frame: RuntimeFreezeFrame
  - id: 3
    name: RuntimeStale
    severity: ERROR
    description: Runtime monitor stale
    freeze_frame: StaleFreezeFrame
